Lorene::Star_bin_xcts Class Reference
Stars and black holes

Class for stars in binary system in eXtended Conformal Thin Sandwich formulation. More...

`#include <star.h>`

Inheritance diagram for Lorene::Star_bin_xcts:

## Public Member Functions

| Star_bin_xcts (Map &mp_i, int nzet_i, const Eos &eos_i, bool irrot)
| Standard constructor.
| Star_bin_xcts (const Star_bin_xcts &)
| Copy constructor.
| Star_bin_xcts (Map &mp_i, const Eos &eos_i, FILE *fich)
| Constructor from a file (see `sauve(FILE* )`).
virtual | ~Star_bin_xcts ()
| Destructor.
void | operator= (const Star_bin_xcts &)
| Assignment to another `Star_bin_xcts`.
Scalar & | set_pot_centri ()
| Read/write the centrifugal potential.
Scalar & | set_Psi_auto ()
| Read/write the conformal factor .
Scalar & | set_Psi_comp ()
| Read/write the conformal factor .
Scalar & | set_chi_auto ()
| Read/write the conformal factor .
Scalar & | set_chi_comp ()
| Read/write the conformal factor .
Vector & | set_beta_auto ()
| Read/write of .
Vector & | set_beta ()
| Read/write of .
bool | is_irrotational () const
| Returns `true` for an irrotational motion, `false` for a corotating one.
const Scalar & | get_psi0 () const
| Returns the non-translational part of the velocity potential.
const Vector & | get_d_psi () const
| Returns the covariant derivative of the velocity potential (Spherical components with respect to the mapping of the star).
const Vector & | get_wit_w () const
| Returns the spatial projection of the fluid 3-velocity with respect to the co-orbiting observer.
const Scalar & | get_loggam () const
| Returns the logarithm of the Lorentz factor between the fluid and the co-orbiting observer.
const Vector & | get_bsn () const
| Returns the shift vector, divided by N, of the rotating coordinates, .
const Scalar & | get_pot_centri () const
| Returns the centrifugal potential.
const Vector & | get_beta_auto () const
| Returns the part of the shift vector generated principally by the star ( ).
const Vector & | get_beta_comp () const
| Returns the part of the shift vector generated principally by the companion ( ).
const Scalar & | get_Psi_auto () const
| Returns the scalar field generated principally by the star.
const Scalar & | get_Psi_comp () const
| Returns the scalar field generated principally by the companion star.
const Scalar & | get_chi_auto () const
| Returns the scalar field generated principally by the star.
const Scalar & | get_chi_comp () const
| Returns the scalar field generated principally by the companion star.
const Vector & | get_dcov_chi () const
| Returns the covariant derivative of .
const Vector & | get_dcov_Psi () const
| Returns the covariant derivative of the conformal factor .
const Scalar & | get_Psi () const
| Return the conformal factor .
const Scalar & | get_chi () const
| Return the function .
const Scalar & | get_psi4 () const
| Return the conformal factor .
const Metric & | get_flat () const
| Return the flat metric defined on the mapping (Spherical components with respect to the mapping of the star).
const Sym_tensor & | get_haij_auto () const
| Returns the part of the extrinsic curvature tensor generated by `beta_auto`.
const Sym_tensor & | get_haij_comp () const
| Returns the part of the extrinsic curvature tensor generated by `beta_comp`.
const Scalar & | get_hacar_auto () const
| Returns the part of generated by `beta_auto`.
const Scalar & | get_hacar_comp () const
| Returns the part of generated by `beta_comp`.
virtual void | sauve (FILE *) const
| Save in a file.
virtual double | mass_b () const
| Baryon mass.
virtual double | mass_g () const
| Gravitational mass.
virtual double | xa_barycenter () const
| Absolute coordinate X of the barycenter of the baryon density,.
virtual void | hydro_euler ()
| Computes the hydrodynamical quantities relative to the Eulerian observer from those in the fluid frame, as well as `wit_w` and `loggam`.
void | update_metric (const Star_bin_xcts &comp)
| Computes metric coefficients from known potentials, when the companion is another star.
void | update_metric (const Star_bin_xcts &comp, const Star_bin_xcts &star_prev, double relax)
| Same as `update_metric`(const Star_bin_xcts& ) but with relaxation.
void | update_metric_der_comp (const Star_bin_xcts &comp)
| Computes the derivative of metric functions related to the companion star.
void | kinematics (double omega, double x_axe)
| Computes the quantities `bsn` and `pot_centri`.
void | fait_d_psi ()
| Computes the gradient of the total velocity potential .
void | extrinsic_curvature ()
| Computes `haij_auto` and `hacar_auto` from `beta_auto`, `nn` and `Psi` .
void | equilibrium (double ent_c, int mermax, int mermax_potvit, int mermax_poisson, double relax_poisson, double relax_potvit, double thres_adapt, const Tbl &fact, const Tbl *pent_limit, Tbl &diff)
| Computes an equilibrium configuration.
double | velocity_potential (int mermax, double precis, double relax)
| Computes the non-translational part of the velocity scalar potential by solving the continuity equation.
void | relaxation (const Star_bin_xcts &star_prev, double relax_ent, double relax_met, int mer, int fmer_met)
| Performs a relaxation on `ent`, `Psi_auto`, `chi_auto` and `beta_auto`.
Map & | set_mp ()
| Read/write of the mapping.
void | set_enthalpy (const Scalar &)
| Assignment of the enthalpy field.
void | equation_of_state ()
| Computes the proper baryon and energy density, as well as pressure from the enthalpy.
virtual void | equilibrium_spher (double ent_c, double precis=1.e-14, const Tbl *pent_limit=0x0)
| Computes a spherical static configuration.
const Map & | get_mp () const
| Returns the mapping.
int | get_nzet () const
| Returns the number of domains occupied by the star.
const Eos & | get_eos () const
| Returns the equation of state.
const Scalar & | get_ent () const
| Returns the enthalpy field.
const Scalar & | get_nbar () const
| Returns the proper baryon density.
const Scalar & | get_ener () const
| Returns the proper total energy density.
const Scalar & | get_press () const
| Returns the fluid pressure.
const Scalar & | get_ener_euler () const
| Returns the total energy density with respect to the Eulerian observer.
const Scalar & | get_s_euler () const
| Returns the trace of the stress tensor in the Eulerian frame.
const Scalar & | get_gam_euler () const
| Returns the Lorentz factor between the fluid and Eulerian observers.
const Vector & | get_u_euler () const
| Returns the fluid 3-velocity with respect to the Eulerian observer.
const Tensor & | get_stress_euler () const
| Returns the spatial part of the stress-energy tensor with respect to the Eulerian observer.
const Scalar & | get_logn () const
| Returns the logarithm of the lapse N.
const Scalar & | get_nn () const
| Returns the lapse function N.
const Vector & | get_beta () const
| Returns the shift vector .
const Scalar & | get_lnq () const
const Metric & | get_gamma () const
| Returns the 3-metric .
double | ray_eq () const
| Coordinate radius at , [r_unit].
double | ray_eq_pis2 () const
| Coordinate radius at , [r_unit].
double | ray_eq_pi () const
| Coordinate radius at , [r_unit].
double | ray_eq_3pis2 () const
| Coordinate radius at , [r_unit].
double | ray_pole () const
| Coordinate radius at [r_unit].
virtual const Itbl & | l_surf () const
| Description of the stellar surface: returns a 2-D `Itbl` containing the values of the domain index l on the surface at the collocation points in .
const Tbl & | xi_surf () const
| Description of the stellar surface: returns a 2-D `Tbl` containing the values of the radial coordinate on the surface at the collocation points in .

## Protected Member Functions

virtual void | del_deriv () const
| Deletes all the derived quantities.
virtual void | set_der_0x0 () const
| Sets to `0x0` all the pointers on derived quantities.
virtual void | del_hydro_euler ()
| Sets to `ETATNONDEF` (undefined state) the hydrodynamical quantities relative to the Eulerian observer.
virtual ostream & | operator>> (ostream &) const
| Operator >> (virtual function called by the operator <<).

## Protected Attributes

bool | irrotational
| `true` for an irrotational star, `false` for a corotating one
Scalar | psi0
| Scalar potential of the non-translational part of fluid 4-velocity (in the irrotational case).
Vector | d_psi
| Gradient of (in the irrotational case) (Spherical components with respect to the mapping of the star).
Vector | wit_w
| Spatial projection of the fluid 3-velocity with respect to the co-orbiting observer.
Scalar | loggam
| Logarithm of the Lorentz factor between the fluid and the co-orbiting observer.
Vector | bsn
| 3-vector shift, divided by N, of the rotating coordinates, .
Scalar | pot_centri
| Centrifugal potential.
Scalar | chi_auto
| Scalar field generated principally by the star.
Scalar | chi_comp
| Scalar field generated principally by the companion star.
Scalar | Psi_auto
| Scalar field generated principally by the star.
Scalar | Psi_comp
| Scalar field generated principally by the companion star.
Scalar | Psi
| Total conformal factor .
Scalar | chi
| Total function .
Scalar | psi4
| Conformal factor .
Vector | w_beta
| Solution for the vector part of the vector Poisson equation for .
Scalar | khi
| Solution for the scalar part of the vector Poisson equation for .
Vector | dcov_Psi
| Covariant derivative of the conformal factor .
Vector | dcov_chi
| Covariant derivative of the function .
Metric_flat | flat
| Flat metric defined on the mapping (Spherical components with respect to the mapping of the star) .
Vector | beta_auto
| Part of the shift vector generated principally by the star (Spherical components with respect to the mapping of the star).
Vector | beta_comp
| Part of the shift vector generated principally by the star (Spherical components with respect to the mapping of the star).
Sym_tensor | haij_auto
| Part of the extrinsic curvature tensor generated by `beta_auto`.
Sym_tensor | haij_comp
| Part of the extrinsic curvature tensor generated by `beta_comp`.
Scalar | hacar_auto
| Part of the scalar generated by `beta_auto`, i.e.
Scalar | hacar_comp
| Part of the scalar generated by `beta_auto` and `beta_comp`, i.e.
Scalar | ssjm1_chi
| Effective source at the previous step for the resolution of the Poisson equation for `\chi_auto` .
Scalar | ssjm1_psi
| Effective source at the previous step for the resolution of the Poisson equation for `\Psi_auto` .
Scalar | ssjm1_khi
| Effective source at the previous step for the resolution of the Poisson equation for `khi`.
Vector | ssjm1_wbeta
| Effective source at the previous step for wbeta of the vector Poisson equation for `wbeta` (needed for the solution of the vector Poisson equation for the shift ).
double * | p_xa_barycenter
| Absolute coordinate X of the barycenter of the baryon density.
Map & | mp
| Mapping associated with the star.
int | nzet
| Number of domains of `*mp` occupied by the star.
const Eos & | eos
| Equation of state of the stellar matter.
Scalar | ent
| Log-enthalpy.
Scalar | nbar
| Baryon density in the fluid frame.
Scalar | ener
| Total energy density in the fluid frame.
Scalar | press
| Fluid pressure.
Scalar | ener_euler
| Total energy density in the Eulerian frame.
Scalar | s_euler
| Trace of the stress scalar in the Eulerian frame.
Scalar | gam_euler
| Lorentz factor between the fluid and Eulerian observers.
Vector | u_euler
| Fluid 3-velocity with respect to the Eulerian observer.
Sym_tensor | stress_euler
| Spatial part of the stress-energy tensor with respect to the Eulerian observer.
Scalar | logn
| Logarithm of the lapse N .
Scalar | nn
| Lapse function N .
Vector | beta
| Shift vector.
Scalar | lnq
Metric | gamma
| 3-metric
double * | p_ray_eq
| Coordinate radius at , .
double * | p_ray_eq_pis2
| Coordinate radius at , .
double * | p_ray_eq_pi
| Coordinate radius at , .
double * | p_ray_eq_3pis2
| Coordinate radius at , .
double * | p_ray_pole
| Coordinate radius at .
Itbl * | p_l_surf
| Description of the stellar surface: 2-D `Itbl` containing the values of the domain index l on the surface at the collocation points in .
Tbl * | p_xi_surf
| Description of the stellar surface: 2-D `Tbl` containing the values of the radial coordinate on the surface at the collocation points in .
double * | p_mass_b
| Baryon mass.
double * | p_mass_g
| Gravitational mass.

## Friends

class | Binary_xcts

## Detailed Description

Class for stars in binary system in eXtended Conformal Thin Sandwich formulation.

*** UNDER DEEVELOPMENT ***()

A `Star_bin_xcts` can be construted in two states, represented by the `bool` member `irrotational:` (i) irrotational (i.e. the fluid motion is irrotational) or (ii) rigidly corotating with respect to the orbital motion (synchronized binary).

Definition at line 1091 of file star.h.

## Constructor & Destructor Documentation

## Star_bin_xcts() [1/3]

Lorene::Star_bin_xcts::Star_bin_xcts | ( | Map & | mp_i,
|  | int | nzet_i,
|  | const Eos & | eos_i,
|  | bool | irrot )

Standard constructor.

Parameters

  mp_i | Mapping on which the star will be defined
  nzet_i | Number of domains occupied by the star
  eos_i | Equation of state of the stellar matter
  irrot | should be `true` for an irrotational star, `false` for a corotating one

Definition at line 81 of file star_bin_xcts.C.

References Lorene::Star::beta, beta_auto, beta_comp, bsn, chi, chi_auto, chi_comp, d_psi, dcov_chi, dcov_Psi, flat, Lorene::Star::gamma, Lorene::get_bvect_cart(), hacar_auto, hacar_comp, haij_auto, haij_comp, irrotational, khi, loggam, Lorene::Map(), Lorene::Star::mp, pot_centri, Psi, psi0, psi4, Psi_auto, Psi_comp, set_der_0x0(), ssjm1_chi, ssjm1_khi, ssjm1_psi, ssjm1_wbeta, Lorene::Star::Star(), Lorene::Star::stress_euler, Lorene::Star::u_euler, w_beta, and wit_w.

## Star_bin_xcts() [2/3]

Lorene::Star_bin_xcts::Star_bin_xcts | ( | const Star_bin_xcts & | star | ) |

Copy constructor.

Definition at line 165 of file star_bin_xcts.C.

References beta_auto, beta_comp, bsn, chi, chi_auto, chi_comp, d_psi, dcov_chi, dcov_Psi, flat, hacar_auto, hacar_comp, haij_auto, haij_comp, irrotational, khi, loggam, pot_centri, Psi, psi0, psi4, Psi_auto, Psi_comp, set_der_0x0(), ssjm1_chi, ssjm1_khi, ssjm1_psi, ssjm1_wbeta, Lorene::Star::Star(), Star_bin_xcts(), w_beta, and wit_w.

## Star_bin_xcts() [3/3]

Lorene::Star_bin_xcts::Star_bin_xcts | ( | Map & | mp_i,
|  | const Eos & | eos_i,
|  | FILE * | fich )

Constructor from a file (see `sauve(FILE* )`).

Parameters

  mp_i | Mapping on which the star will be defined
  eos_i | Equation of state of the stellar matter
  fich | input file (must have been created by the function `sauve`)

Definition at line 203 of file star_bin_xcts.C.

References Lorene::Star::beta, beta_auto, beta_comp, bsn, chi, chi_auto, chi_comp, d_psi, dcov_chi, dcov_Psi, flat, Lorene::Star::gam_euler, Lorene::Star::gamma, Lorene::get_bvect_cart(), Lorene::get_mg(), hacar_auto, hacar_comp, haij_auto, haij_comp, irrotational, khi, loggam, Lorene::Map(), Lorene::Star::mp, pot_centri, Psi, psi0, psi4, Psi_auto, Psi_comp, set_der_0x0(), ssjm1_chi, ssjm1_khi, ssjm1_psi, ssjm1_wbeta, Lorene::Star::Star(), Lorene::Star::stress_euler, Lorene::Star::u_euler, w_beta, and wit_w.

## ~Star_bin_xcts()

Lorene::Star_bin_xcts::~Star_bin_xcts | ( |  | ) |

virtual

Destructor.

Definition at line 294 of file star_bin_xcts.C.

References del_deriv().

## Member Function Documentation

## del_deriv()

void Lorene::Star_bin_xcts::del_deriv | ( |  | ) | const

protected virtual

Deletes all the derived quantities.

Reimplemented from Lorene::Star.

Definition at line 304 of file star_bin_xcts.C.

References Lorene::Star::del_deriv(), p_xa_barycenter, and set_der_0x0().

## del_hydro_euler()

void Lorene::Star_bin_xcts::del_hydro_euler | ( |  | ) |

protected virtual

Sets to `ETATNONDEF` (undefined state) the hydrodynamical quantities relative to the Eulerian observer.

Reimplemented from Lorene::Star.

Definition at line 321 of file star_bin_xcts.C.

References del_deriv(), and Lorene::Star::del_hydro_euler().

## equation_of_state()

void Lorene::Star::equation_of_state | ( |  | ) |

inherited

Computes the proper baryon and energy density, as well as pressure from the enthalpy.

Definition at line 462 of file star.C.

References Lorene::Param::add_int(), Lorene::Scalar::allocate_all(), del_deriv(), ener, ent, eos, Lorene::Mg3d::get_grille3d(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), mp, nbar, nzet, press, Lorene::Mtbl::set(), Lorene::Scalar::set_domain(), Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Scalar::std_spectral_base(), Lorene::Mtbl::t, and Lorene::Grille3d::x.

## equilibrium()

void Lorene::Star_bin_xcts::equilibrium | ( | double | ent_c,
|  | int | mermax,
|  | int | mermax_potvit,
|  | int | mermax_poisson,
|  | double | relax_poisson,
|  | double | relax_potvit,
|  | double | thres_adapt,
|  | const Tbl & | fact,
|  | const Tbl * | pent_limit,
|  | Tbl & | diff )

Computes an equilibrium configuration.

Parameters

  ent_c | [input] Central enthalpy
  mermax | [input] Maximum number of steps
  mermax_poisson | [input] Maximum number of steps in poisson scalar
  relax_poisson | [input] Relaxation factor in poisson scalar
  mermax_potvit | [input] Maximum number of steps in Map_radial::poisson_compact
  relax_potvit | [input] Relaxation factor in Map_radial::poisson_compact
  thres_adapt | [input] Threshold on dH/dr for the adaptation of the mapping

  fact

  [input] 1-D `Tbl` for the input of some factors:
  - `fact(0)` : A resizing factor for the first shell

  ent_limit | [input] array of enthalpy values to be set at the boundaries between the domains; if set to 0x0 (default), the initial values will be kept.
  diff | [output] 1-D `Tbl` for the storage of some error indicators

Definition at line 91 of file star_bin_equilibrium_xcts.C.

References Lorene::abs(), Lorene::Param::add_cmp_mod(), Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Param::add_tbl(), Lorene::Param::add_tenseur_mod(), beta_auto, chi, chi_auto, chi_comp, Lorene::contract(), dcov_chi, dcov_Psi, Lorene::Tensor::dec_dzpuis(), Lorene::diffrel(), Lorene::Vector::divergence(), Lorene::Star::ener_euler, Lorene::Star::ent, Lorene::Star::equation_of_state(), flat, Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), hacar_auto, hacar_comp, haij_auto, Lorene::Map_et::homothetie(), hydro_euler(), irrotational, khi, Lorene::log(), loggam, Lorene::max(), Lorene::Star::mp, Lorene::Star::nn, Lorene::norme(), Lorene::Star::nzet, Lorene::Scalar::poisson(), Lorene::Tenseur::poisson_vect(), pot_centri, Lorene::pow(), Lorene::Star::press, Psi, psi4, Psi_auto, Psi_comp, Lorene::Star::ray_eq(), Lorene::Star::ray_pole(), Lorene::Star::s_euler, Lorene::Tbl::set(), Lorene::Tenseur::set(), Lorene::Tbl::set_etat_qcq(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_std_base(), Lorene::sqrt(), ssjm1_chi, ssjm1_khi, ssjm1_psi, ssjm1_wbeta, Lorene::Scalar::std_spectral_base(), Lorene::Vector::std_spectral_base(), Lorene::Star::u_euler, Lorene::Scalar::val_grid_point(), velocity_potential(), and w_beta.

## equilibrium_spher()

void Lorene::Star::equilibrium_spher | ( | double | ent_c,
|  | double | precis = 1.e-14,
|  | const Tbl * | pent_limit = 0x0 )

virtual inherited

Computes a spherical static configuration.

Parameters

  ent_c | [input] central value of the enthalpy
  precis | [input] threshold in the relative difference between the enthalpy fields of two consecutive steps to stop the iterative procedure (default value: 1.e-14)
  ent_limit | [input] : array of enthalpy values to be set at the boundaries between the domains; if set to 0x0 (default), the initial values will be kept.

Definition at line 95 of file star_equil_spher.C.

References Lorene::Map_et::adapt(), Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Param::add_tbl(), Lorene::diffrel(), Lorene::Map_af::dsdr(), Lorene::Scalar::dsdr(), ener, ener_euler, ent, equation_of_state(), Lorene::exp(), gam_euler, gamma, Lorene::Map_af::get_alpha(), Lorene::Map_et::get_alpha(), Lorene::Map_af::get_beta(), Lorene::Map_et::get_beta(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::Map_af::homothetie(), Lorene::Scalar::integrale(), logn, mass_b(), mass_g(), mp, nn, Lorene::norme(), nzet, Lorene::Map_af::poisson(), press, s_euler, Lorene::Tensor::set(), Lorene::Map_af::set_alpha(), Lorene::Map_af::set_beta(), Lorene::Scalar::set_dzpuis(), Lorene::Cmp::set_etat_qcq(), Lorene::Tensor::set_etat_zero(), Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), u_euler, and Lorene::Scalar::val_grid_point().

## extrinsic_curvature()

void Lorene::Star_bin_xcts::extrinsic_curvature | ( |  | ) |

Computes `haij_auto` and `hacar_auto` from `beta_auto`, `nn` and `Psi` .

Definition at line 55 of file star_bin_extr_curv_xcts.C.

References beta_auto, chi, Lorene::contract(), del_deriv(), flat, hacar_auto, haij_auto, Lorene::pow(), and Psi.

## fait_d_psi()

void Lorene::Star_bin_xcts::fait_d_psi | ( |  | ) |

Computes the gradient of the total velocity potential .

Definition at line 631 of file star_bin_xcts.C.

References bsn, Lorene::Vector::change_triad(), d_psi, Lorene::Star::ent, Lorene::exp(), flat, Lorene::Star::gam_euler, irrotational, Lorene::Star::mp, Lorene::Star::nzet, psi0, psi4, Lorene::Vector::set(), Lorene::Valeur::set_base(), Lorene::Vector::std_spectral_base(), and Lorene::Cmp::va.

## get_beta()

const Vector & Lorene::Star::get_beta | ( |  | ) | const

inline inherited

Returns the shift vector .

Definition at line 402 of file star.h.

References beta.

## get_beta_auto()

const Vector & Lorene::Star_bin_xcts::get_beta_auto | ( |  | ) | const

inline

Returns the part of the shift vector generated principally by the star ( ).

(Spherical components with respect to the mapping of the star)

Definition at line 1351 of file star.h.

References beta_auto.

## get_beta_comp()

const Vector & Lorene::Star_bin_xcts::get_beta_comp | ( |  | ) | const

inline

Returns the part of the shift vector generated principally by the companion ( ).

(Spherical components with respect to the mapping of the star)

Definition at line 1357 of file star.h.

References beta_comp.

## get_bsn()

const Vector & Lorene::Star_bin_xcts::get_bsn | ( |  | ) | const

inline

Returns the shift vector, divided by N, of the rotating coordinates, .

(Spherical components with respect to the mapping of the star)

Definition at line 1342 of file star.h.

References bsn.

## get_chi()

const Scalar & Lorene::Star_bin_xcts::get_chi | ( |  | ) | const

inline

Return the function .

Definition at line 1392 of file star.h.

References chi.

## get_chi_auto()

const Scalar & Lorene::Star_bin_xcts::get_chi_auto | ( |  | ) | const

inline

Returns the scalar field generated principally by the star.

Definition at line 1372 of file star.h.

References chi_auto.

## get_chi_comp()

const Scalar & Lorene::Star_bin_xcts::get_chi_comp | ( |  | ) | const

inline

Returns the scalar field generated principally by the companion star.

Definition at line 1377 of file star.h.

References chi_comp.

## get_d_psi()

const Vector & Lorene::Star_bin_xcts::get_d_psi | ( |  | ) | const

inline

Returns the covariant derivative of the velocity potential (Spherical components with respect to the mapping of the star).

Definition at line 1325 of file star.h.

References d_psi.

## get_dcov_chi()

const Vector & Lorene::Star_bin_xcts::get_dcov_chi | ( |  | ) | const

inline

Returns the covariant derivative of .

Definition at line 1381 of file star.h.

References dcov_chi.

## get_dcov_Psi()

const Vector & Lorene::Star_bin_xcts::get_dcov_Psi | ( |  | ) | const

inline

Returns the covariant derivative of the conformal factor .

Definition at line 1386 of file star.h.

References dcov_Psi.

## get_ener()

const Scalar & Lorene::Star::get_ener | ( |  | ) | const

inline inherited

Returns the proper total energy density.

Definition at line 370 of file star.h.

References ener.

## get_ener_euler()

const Scalar & Lorene::Star::get_ener_euler | ( |  | ) | const

inline inherited

Returns the total energy density with respect to the Eulerian observer.

Definition at line 376 of file star.h.

References ener_euler.

## get_ent()

const Scalar & Lorene::Star::get_ent | ( |  | ) | const

inline inherited

Returns the enthalpy field.

Definition at line 364 of file star.h.

References ent.

## get_eos()

const Eos & Lorene::Star::get_eos | ( |  | ) | const

inline inherited

Returns the equation of state.

Definition at line 361 of file star.h.

References eos.

## get_flat()

const Metric & Lorene::Star_bin_xcts::get_flat | ( |  | ) | const

inline

Return the flat metric defined on the mapping (Spherical components with respect to the mapping of the star).

Definition at line 1400 of file star.h.

References flat.

## get_gam_euler()

const Scalar & Lorene::Star::get_gam_euler | ( |  | ) | const

inline inherited

Returns the Lorentz factor between the fluid and Eulerian observers.

Definition at line 382 of file star.h.

References gam_euler.

## get_gamma()

const Metric & Lorene::Star::get_gamma | ( |  | ) | const

inline inherited

Returns the 3-metric .

Definition at line 409 of file star.h.

References gamma.

## get_hacar_auto()

const Scalar & Lorene::Star_bin_xcts::get_hacar_auto | ( |  | ) | const

inline

Returns the part of generated by `beta_auto`.

Definition at line 1417 of file star.h.

References hacar_auto.

## get_hacar_comp()

const Scalar & Lorene::Star_bin_xcts::get_hacar_comp | ( |  | ) | const

inline

Returns the part of generated by `beta_comp`.

Definition at line 1422 of file star.h.

References hacar_comp.

## get_haij_auto()

const Sym_tensor & Lorene::Star_bin_xcts::get_haij_auto | ( |  | ) | const

inline

Returns the part of the extrinsic curvature tensor generated by `beta_auto`.

(Spherical components with respect to the mapping of the star)

Definition at line 1406 of file star.h.

References haij_auto.

## get_haij_comp()

const Sym_tensor & Lorene::Star_bin_xcts::get_haij_comp | ( |  | ) | const

inline

Returns the part of the extrinsic curvature tensor generated by `beta_comp`.

(Spherical components with respect to the mapping of the star)

Definition at line 1412 of file star.h.

References haij_comp.

## get_lnq()

const Scalar & Lorene::Star::get_lnq | ( |  | ) | const

inline inherited

Definition at line 406 of file star.h.

## get_loggam()

const Scalar & Lorene::Star_bin_xcts::get_loggam | ( |  | ) | const

inline

Returns the logarithm of the Lorentz factor between the fluid and the co-orbiting observer.

Definition at line 1336 of file star.h.

References loggam.

## get_logn()

const Scalar & Lorene::Star::get_logn | ( |  | ) | const

inline inherited

Returns the logarithm of the lapse N.

In the Newtonian case, this is the Newtonian gravitational potential (in units of ).

Definition at line 396 of file star.h.

References logn.

## get_mp()

const Map & Lorene::Star::get_mp | ( |  | ) | const

inline inherited

Returns the mapping.

Definition at line 355 of file star.h.

References Lorene::Map(), and mp.

## get_nbar()

const Scalar & Lorene::Star::get_nbar | ( |  | ) | const

inline inherited

Returns the proper baryon density.

Definition at line 367 of file star.h.

References nbar.

## get_nn()

const Scalar & Lorene::Star::get_nn | ( |  | ) | const

inline inherited

Returns the lapse function N.

Definition at line 399 of file star.h.

References nn.

## get_nzet()

int Lorene::Star::get_nzet | ( |  | ) | const

inline inherited

Returns the number of domains occupied by the star.

Definition at line 358 of file star.h.

References nzet.

## get_pot_centri()

const Scalar & Lorene::Star_bin_xcts::get_pot_centri | ( |  | ) | const

inline

Returns the centrifugal potential.

Definition at line 1345 of file star.h.

References pot_centri.

## get_press()

const Scalar & Lorene::Star::get_press | ( |  | ) | const

inline inherited

Returns the fluid pressure.

Definition at line 373 of file star.h.

References press.

## get_Psi()

const Scalar & Lorene::Star_bin_xcts::get_Psi | ( |  | ) | const

inline

Return the conformal factor .

Definition at line 1389 of file star.h.

References Psi.

## get_psi0()

const Scalar & Lorene::Star_bin_xcts::get_psi0 | ( |  | ) | const

inline

Returns the non-translational part of the velocity potential.

Definition at line 1320 of file star.h.

References psi0.

## get_psi4()

const Scalar & Lorene::Star_bin_xcts::get_psi4 | ( |  | ) | const

inline

Return the conformal factor .

Definition at line 1395 of file star.h.

References psi4.

## get_Psi_auto()

const Scalar & Lorene::Star_bin_xcts::get_Psi_auto | ( |  | ) | const

inline

Returns the scalar field generated principally by the star.

Definition at line 1362 of file star.h.

References Psi_auto.

## get_Psi_comp()

const Scalar & Lorene::Star_bin_xcts::get_Psi_comp | ( |  | ) | const

inline

Returns the scalar field generated principally by the companion star.

Definition at line 1367 of file star.h.

References Psi_comp.

## get_s_euler()

const Scalar & Lorene::Star::get_s_euler | ( |  | ) | const

inline inherited

Returns the trace of the stress tensor in the Eulerian frame.

Definition at line 379 of file star.h.

References s_euler.

## get_stress_euler()

const Tensor & Lorene::Star::get_stress_euler | ( |  | ) | const

inline inherited

Returns the spatial part of the stress-energy tensor with respect to the Eulerian observer.

Definition at line 390 of file star.h.

References stress_euler.

## get_u_euler()

const Vector & Lorene::Star::get_u_euler | ( |  | ) | const

inline inherited

Returns the fluid 3-velocity with respect to the Eulerian observer.

Definition at line 385 of file star.h.

References u_euler.

## get_wit_w()

const Vector & Lorene::Star_bin_xcts::get_wit_w | ( |  | ) | const

inline

Returns the spatial projection of the fluid 3-velocity with respect to the co-orbiting observer.

(Spherical components with respect to the mapping of the star)

Definition at line 1331 of file star.h.

References wit_w.

## hydro_euler()

void Lorene::Star_bin_xcts::hydro_euler | ( |  | ) |

virtual

Computes the hydrodynamical quantities relative to the Eulerian observer from those in the fluid frame, as well as `wit_w` and `loggam`.

The calculation is performed starting from the quantities `ent`, `ener`, `press` and `bsn`,
which are supposed to be up to date.
From these, the following fields are updated: `gam_euler`, `u_euler`, `ener_euler`, `s_euler`, `stress_euler`,
`wit_w` and `loggam`.

Reimplemented from Lorene::Star.

Definition at line 49 of file star_bin_hydro_xcts.C.

References bsn, Lorene::Tensor::change_triad(), Lorene::contract(), d_psi, del_deriv(), Lorene::Star::ener, Lorene::Star::ener_euler, Lorene::Star::ent, Lorene::exp(), Lorene::Star::gam_euler, Lorene::Star::gamma, irrotational, Lorene::log(), loggam, Lorene::Star::mp, Lorene::Star::nzet, Lorene::Star::press, Lorene::Star::s_euler, Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), Lorene::Star::stress_euler, Lorene::Star::u_euler, and wit_w.

## is_irrotational()

bool Lorene::Star_bin_xcts::is_irrotational | ( |  | ) | const

inline

Returns `true` for an irrotational motion, `false` for a corotating one.

Definition at line 1317 of file star.h.

References irrotational.

## kinematics()

void Lorene::Star_bin_xcts::kinematics | ( | double | omega,
|  | double | x_axe )

Computes the quantities `bsn` and `pot_centri`.

The calculation is performed starting from the quantities `nn`, `beta`, `Psi`,
which are supposed to be up to date.

Parameters

  omega | angular velocity with respect to an asymptotically inertial observer
  x_axe | absolute X coordinate of the rotation axis

Definition at line 59 of file star_bin_kinema_xcts.C.

References Lorene::Star::beta, bsn, Lorene::Tensor::change_triad(), Lorene::contract(), del_deriv(), Lorene::Star::gamma, Lorene::log(), Lorene::Star::mp, Lorene::Star::nn, pot_centri, Lorene::sqrt(), Lorene::xa, and Lorene::ya.

## l_surf()

const Itbl & Lorene::Star::l_surf | ( |  | ) | const

virtual inherited

Description of the stellar surface: returns a 2-D `Itbl` containing the values of the domain index l on the surface at the collocation points in .

The stellar surface is defined as the location where the enthalpy (member `ent`) vanishes.

Reimplemented in Lorene::Star_rot.

Definition at line 63 of file star_global.C.

References ent, mp, nzet, p_l_surf, and p_xi_surf.

## mass_b()

double Lorene::Star_bin_xcts::mass_b | ( |  | ) | const

virtual

Baryon mass.

Implements Lorene::Star.

Definition at line 50 of file star_bin_global_xcts.C.

References Lorene::Star::gam_euler, Lorene::Star::gamma, Lorene::Scalar::integrale(), Lorene::Star::nbar, Lorene::Star::p_mass_b, Lorene::sqrt(), and Lorene::Scalar::std_spectral_base().

## mass_g()

double Lorene::Star_bin_xcts::mass_g | ( |  | ) | const

virtual

Gravitational mass.

Implements Lorene::Star.

Definition at line 74 of file star_bin_global_xcts.C.

References Lorene::Star::ener_euler, Lorene::Star::gamma, Lorene::Scalar::integrale(), Lorene::Star::nn, Lorene::Star::p_mass_g, Lorene::Star::s_euler, Lorene::sqrt(), and Lorene::Scalar::std_spectral_base().

## operator=()

void Lorene::Star_bin_xcts::operator= | ( | const Star_bin_xcts & | star | ) |

Assignment to another `Star_bin_xcts`.

Definition at line 336 of file star_bin_xcts.C.

References beta_auto, beta_comp, bsn, chi, chi_auto, chi_comp, d_psi, dcov_chi, dcov_Psi, del_deriv(), flat, hacar_auto, hacar_comp, haij_auto, haij_comp, irrotational, khi, loggam, Lorene::Star::operator=(), pot_centri, Psi, psi0, psi4, Psi_auto, Psi_comp, ssjm1_chi, ssjm1_khi, ssjm1_psi, ssjm1_wbeta, Star_bin_xcts(), w_beta, and wit_w.

## operator>>()

ostream & Lorene::Star_bin_xcts::operator>> | ( | ostream & | ost | ) | const

protected virtual

Operator >> (virtual function called by the operator <<).

Reimplemented from Lorene::Star.

Definition at line 463 of file star_bin_xcts.C.

References Lorene::Star::beta, beta_auto, bsn, d_psi, Lorene::Star::ener, Lorene::Star::ent, Lorene::Star::eos, Lorene::Star::gam_euler, hacar_auto, hacar_comp, haij_auto, haij_comp, irrotational, loggam, mass_b(), mass_g(), Lorene::max(), Lorene::min(), Lorene::Star::mp, Lorene::Star::nbar, Lorene::Star::nn, Lorene::Star::nzet, Lorene::pow(), Lorene::Star::press, Psi_auto, Psi_comp, Lorene::Star::ray_eq(), Lorene::Star::ray_eq_pi(), Lorene::Star::ray_eq_pis2(), Lorene::Star::ray_pole(), Lorene::Scalar::std_spectral_base(), Lorene::Star::u_euler, Lorene::Scalar::val_grid_point(), wit_w, and xa_barycenter().

## ray_eq()

double Lorene::Star::ray_eq | ( |  | ) | const

inherited

Coordinate radius at , [r_unit].

Definition at line 108 of file star_global.C.

References Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_eq, Lorene::phi, and xi_surf().

## ray_eq_3pis2()

double Lorene::Star::ray_eq_3pis2 | ( |  | ) | const

inherited

Coordinate radius at , [r_unit].

Definition at line 233 of file star_global.C.

References Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_eq_3pis2, Lorene::phi, ray_eq_pis2(), and xi_surf().

## ray_eq_pi()

double Lorene::Star::ray_eq_pi | ( |  | ) | const

inherited

Coordinate radius at , [r_unit].

Definition at line 186 of file star_global.C.

References Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_eq_pi, Lorene::phi, ray_eq(), and xi_surf().

## ray_eq_pis2()

double Lorene::Star::ray_eq_pis2 | ( |  | ) | const

inherited

Coordinate radius at , [r_unit].

Definition at line 138 of file star_global.C.

References Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_eq_pis2, Lorene::phi, and xi_surf().

## ray_pole()

double Lorene::Star::ray_pole | ( |  | ) | const

inherited

Coordinate radius at [r_unit].

Definition at line 278 of file star_global.C.

References Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_pole, Lorene::phi, and xi_surf().

## relaxation()

void Lorene::Star_bin_xcts::relaxation | ( | const Star_bin_xcts & | star_prev,
|  | double | relax_ent,
|  | double | relax_met,
|  | int | mer,
|  | int | fmer_met )

Performs a relaxation on `ent`, `Psi_auto`, `chi_auto` and `beta_auto`.

Parameters

  star_prev | [input] star at the previous step.
  relax_ent | [input] Relaxation factor for `ent`
  relax_met | [input] Relaxation factor for `logn_auto`, `lnq_auto`, `beta_auto`, only if ``(mer % fmer_met == 0).
  mer | [input] Step number
  fmer_met | [input] Step interval between metric updates

Definition at line 689 of file star_bin_xcts.C.

References beta_auto, chi_auto, del_deriv(), Lorene::Star::ent, Lorene::Star::equation_of_state(), Psi_auto, and Star_bin_xcts().

## sauve()

void Lorene::Star_bin_xcts::sauve | ( | FILE * | fich | ) | const

virtual

Save in a file.

Reimplemented from Lorene::Star.

Definition at line 432 of file star_bin_xcts.C.

References beta_auto, chi_auto, Lorene::Star::gam_euler, irrotational, khi, psi0, Psi_auto, Lorene::Star::sauve(), ssjm1_chi, ssjm1_khi, ssjm1_psi, ssjm1_wbeta, and w_beta.

## set_beta()

Vector & Lorene::Star_bin_xcts::set_beta | ( |  | ) |

Read/write of .

Definition at line 418 of file star_bin_xcts.C.

References Lorene::Star::beta, and del_deriv().

## set_beta_auto()

Vector & Lorene::Star_bin_xcts::set_beta_auto | ( |  | ) |

Read/write of .

Definition at line 411 of file star_bin_xcts.C.

References beta_auto, and del_deriv().

## set_chi_auto()

Scalar & Lorene::Star_bin_xcts::set_chi_auto | ( |  | ) |

Read/write the conformal factor .

Definition at line 404 of file star_bin_xcts.C.

References chi_auto, and del_deriv().

## set_chi_comp()

Scalar & Lorene::Star_bin_xcts::set_chi_comp | ( |  | ) |

Read/write the conformal factor .

Definition at line 397 of file star_bin_xcts.C.

References chi_comp, and del_deriv().

## set_der_0x0()

void Lorene::Star_bin_xcts::set_der_0x0 | ( |  | ) | const

protected virtual

Sets to `0x0` all the pointers on derived quantities.

Reimplemented from Lorene::Star.

Definition at line 313 of file star_bin_xcts.C.

References p_xa_barycenter, and Lorene::Star::set_der_0x0().

## set_enthalpy()

void Lorene::Star::set_enthalpy | ( | const Scalar & | ent_i | ) |

inherited

Assignment of the enthalpy field.

Definition at line 379 of file star.C.

References del_deriv(), ent, and equation_of_state().

## set_mp()

Map & Lorene::Star::set_mp | ( |  | ) |

inline inherited

Read/write of the mapping.

Definition at line 322 of file star.h.

References Lorene::Map(), and mp.

## set_pot_centri()

Scalar & Lorene::Star_bin_xcts::set_pot_centri | ( |  | ) |

Read/write the centrifugal potential.

Definition at line 376 of file star_bin_xcts.C.

References del_deriv(), and pot_centri.

## set_Psi_auto()

Scalar & Lorene::Star_bin_xcts::set_Psi_auto | ( |  | ) |

Read/write the conformal factor .

Definition at line 390 of file star_bin_xcts.C.

References del_deriv(), and Psi_auto.

## set_Psi_comp()

Scalar & Lorene::Star_bin_xcts::set_Psi_comp | ( |  | ) |

Read/write the conformal factor .

Definition at line 383 of file star_bin_xcts.C.

References del_deriv(), and Psi_comp.

## update_metric() [1/2]

void Lorene::Star_bin_xcts::update_metric | ( | const Star_bin_xcts & | comp | ) |

Computes metric coefficients from known potentials, when the companion is another star.

The calculation is performed starting from the quantities `Psi_auto`, `chi_auto`, `beta_auto`, `comp.Psi_auto`, `comp.chi_auto`, `comp.beta_auto` which are supposed to be up to date. From these, the following fields are updated: `Psi_comp`, `chi_comp`, `beta_comp`, `nn`, `psi4`, `beta`.

Parameters

  comp | companion star.
  omega | angular velocity with respect to an asymptotically inertial observer

Definition at line 67 of file star_bin_upmetr_xcts.C.

References Lorene::Star::beta, beta_auto, beta_comp, Lorene::Vector::change_triad(), chi, chi_auto, chi_comp, del_deriv(), extrinsic_curvature(), flat, Lorene::Star::gamma, Lorene::Tensor::get_triad(), Lorene::log(), Lorene::Star::logn, Lorene::Star::mp, Lorene::Star::nn, Lorene::pow(), Psi, psi4, Psi_auto, Psi_comp, and Star_bin_xcts().

## update_metric() [2/2]

void Lorene::Star_bin_xcts::update_metric | ( | const Star_bin_xcts & | comp,
|  | const Star_bin_xcts & | star_prev,
|  | double | relax )

Same as `update_metric`(const Star_bin_xcts& ) but with relaxation.

Parameters

  comp | companion star.
  star_prev | previous value of the star.
  relax | relaxation parameter.
  omega | angular velocity with respect to an asymptotically inertial observer

Definition at line 152 of file star_bin_upmetr_xcts.C.

References Lorene::Star::beta, beta_auto, beta_comp, Lorene::Vector::change_triad(), chi, chi_auto, chi_comp, del_deriv(), extrinsic_curvature(), flat, Lorene::Star::gamma, Lorene::Tensor::get_triad(), Lorene::log(), Lorene::Star::logn, Lorene::Star::mp, Lorene::Star::nn, Lorene::pow(), Psi, psi4, Psi_auto, Psi_comp, and Star_bin_xcts().

## update_metric_der_comp()

void Lorene::Star_bin_xcts::update_metric_der_comp | ( | const Star_bin_xcts & | comp | ) |

Computes the derivative of metric functions related to the companion star.

Definition at line 62 of file star_bin_upmetr_der_xcts.C.

References beta_auto, beta_comp, Lorene::Tensor::change_triad(), Lorene::Vector::change_triad(), chi, chi_auto, Lorene::contract(), dcov_chi, dcov_Psi, Lorene::Tensor::dec_dzpuis(), del_deriv(), flat, Lorene::Tensor::get_triad(), hacar_comp, haij_auto, haij_comp, Lorene::Tensor::inc_dzpuis(), Lorene::Star::mp, Lorene::pow(), Psi, Psi_auto, Lorene::Tensor::set(), and Star_bin_xcts().

## velocity_potential()

double Lorene::Star_bin_xcts::velocity_potential | ( | int | mermax,
|  | double | precis,
|  | double | relax )

Computes the non-translational part of the velocity scalar potential by solving the continuity equation.

Parameters

  mermax | [input] Maximum number of steps in the iteration
  precis | [input] Required precision: the iteration will be stopped when the relative difference on between two successive steps is lower than `precis`.
  relax | [input] Relaxation factor.

Returns
  Relative error of the resolution obtained by comparing the operator acting on the solution with the source.

Definition at line 70 of file star_bin_vel_pot_xcts.C.

References Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Scalar::annule(), bsn, Lorene::Vector::change_triad(), chi, Lorene::contract(), d_psi, Lorene::Scalar::derive_con(), Lorene::Scalar::derive_cov(), Lorene::diffrel(), Lorene::Star::ent, Lorene::Star::eos, Lorene::exp(), flat, Lorene::Star::gam_euler, Lorene::Tensor::get_triad(), Lorene::log(), Lorene::Star::mp, Lorene::norme(), Lorene::Star::nzet, Psi, psi0, psi4, Lorene::Tenseur::set(), Lorene::Vector::set(), Lorene::Scalar::set_domain(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tensor::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Tensor::set_triad(), Lorene::Scalar::std_spectral_base(), Lorene::Vector::std_spectral_base(), Lorene::Cmp::va, Lorene::Valeur::ylm(), and Lorene::Valeur::ylm_i().

## xa_barycenter()

double Lorene::Star_bin_xcts::xa_barycenter | ( |  | ) | const

virtual

Absolute coordinate X of the barycenter of the baryon density,.

Definition at line 99 of file star_bin_global_xcts.C.

References Lorene::Tensor::annule_domain(), Lorene::Star::gam_euler, Lorene::Star::gamma, Lorene::Scalar::integrale(), mass_b(), Lorene::Star::mp, Lorene::Star::nbar, p_xa_barycenter, Lorene::sqrt(), and Lorene::Scalar::std_spectral_base().

## xi_surf()

const Tbl & Lorene::Star::xi_surf | ( |  | ) | const

inherited

Description of the stellar surface: returns a 2-D `Tbl` containing the values of the radial coordinate on the surface at the collocation points in .

The stellar surface is defined as the location where the enthalpy (member `ent`) vanishes.

Definition at line 89 of file star_global.C.

References l_surf(), p_l_surf, and p_xi_surf.

## Friends And Related Symbol Documentation

## Binary_xcts

friend class Binary_xcts

friend

Definition at line 1579 of file star.h.

## Member Data Documentation

## beta

Vector Lorene::Star::beta

protected inherited

Shift vector.

Definition at line 228 of file star.h.

## beta_auto

Vector Lorene::Star_bin_xcts::beta_auto

protected

Part of the shift vector generated principally by the star (Spherical components with respect to the mapping of the star).

Definition at line 1182 of file star.h.

## beta_comp

Vector Lorene::Star_bin_xcts::beta_comp

protected

Part of the shift vector generated principally by the star (Spherical components with respect to the mapping of the star).

Definition at line 1187 of file star.h.

## bsn

Vector Lorene::Star_bin_xcts::bsn

protected

3-vector shift, divided by N, of the rotating coordinates, .

(Spherical components with respect to the mapping of the star)

Definition at line 1126 of file star.h.

## chi

Scalar Lorene::Star_bin_xcts::chi

protected

Total function .

Definition at line 1155 of file star.h.

## chi_auto

Scalar Lorene::Star_bin_xcts::chi_auto

protected

Scalar field generated principally by the star.

Definition at line 1134 of file star.h.

## chi_comp

Scalar Lorene::Star_bin_xcts::chi_comp

protected

Scalar field generated principally by the companion star.

Definition at line 1139 of file star.h.

## d_psi

Vector Lorene::Star_bin_xcts::d_psi

protected

Gradient of (in the irrotational case) (Spherical components with respect to the mapping of the star).

Definition at line 1109 of file star.h.

## dcov_chi

Vector Lorene::Star_bin_xcts::dcov_chi

protected

Covariant derivative of the function .

Definition at line 1174 of file star.h.

## dcov_Psi

Vector Lorene::Star_bin_xcts::dcov_Psi

protected

Covariant derivative of the conformal factor .

Definition at line 1171 of file star.h.

## ener

Scalar Lorene::Star::ener

protected inherited

Total energy density in the fluid frame.

Definition at line 193 of file star.h.

## ener_euler

Scalar Lorene::Star::ener_euler

protected inherited

Total energy density in the Eulerian frame.

Definition at line 198 of file star.h.

## ent

Scalar Lorene::Star::ent

protected inherited

Log-enthalpy.

Definition at line 190 of file star.h.

## eos

const Eos& Lorene::Star::eos

protected inherited

Equation of state of the stellar matter.

Definition at line 185 of file star.h.

## flat

Metric_flat Lorene::Star_bin_xcts::flat

protected

Flat metric defined on the mapping (Spherical components with respect to the mapping of the star) .

Definition at line 1177 of file star.h.

## gam_euler

Scalar Lorene::Star::gam_euler

protected inherited

Lorentz factor between the fluid and Eulerian observers.

Definition at line 204 of file star.h.

## gamma

Metric Lorene::Star::gamma

protected inherited

3-metric

Definition at line 235 of file star.h.

## hacar_auto

Scalar Lorene::Star_bin_xcts::hacar_auto

protected

Part of the scalar generated by `beta_auto`, i.e.

Definition at line 1205 of file star.h.

## hacar_comp

Scalar Lorene::Star_bin_xcts::hacar_comp

protected

Part of the scalar generated by `beta_auto` and `beta_comp`, i.e.

Definition at line 1211 of file star.h.

## haij_auto

Sym_tensor Lorene::Star_bin_xcts::haij_auto

protected

Part of the extrinsic curvature tensor generated by `beta_auto`.

(Spherical components with respect to the mapping of the star)

Definition at line 1193 of file star.h.

## haij_comp

Sym_tensor Lorene::Star_bin_xcts::haij_comp

protected

Part of the extrinsic curvature tensor generated by `beta_comp`.

(Spherical components with respect to the mapping of the star)

Definition at line 1199 of file star.h.

## irrotational

bool Lorene::Star_bin_xcts::irrotational

protected

`true` for an irrotational star, `false` for a corotating one

Definition at line 1099 of file star.h.

## khi

Scalar Lorene::Star_bin_xcts::khi

protected

Solution for the scalar part of the vector Poisson equation for .

Definition at line 1168 of file star.h.

## lnq

Scalar Lorene::Star::lnq

protected inherited

Definition at line 232 of file star.h.

## loggam

Scalar Lorene::Star_bin_xcts::loggam

protected

Logarithm of the Lorentz factor between the fluid and the co-orbiting observer.

Definition at line 1120 of file star.h.

## logn

Scalar Lorene::Star::logn

protected inherited

Logarithm of the lapse N .

In the Newtonian case, this is the Newtonian gravitational potential (in units of ).

Definition at line 222 of file star.h.

## mp

Map& Lorene::Star::mp

protected inherited

Mapping associated with the star.

Definition at line 180 of file star.h.

## nbar

Scalar Lorene::Star::nbar

protected inherited

Baryon density in the fluid frame.

Definition at line 192 of file star.h.

## nn

Scalar Lorene::Star::nn

protected inherited

Lapse function N .

Definition at line 225 of file star.h.

## nzet

int Lorene::Star::nzet

protected inherited

Number of domains of `*mp` occupied by the star.

Definition at line 183 of file star.h.

## p_l_surf

Itbl* Lorene::Star::p_l_surf

mutable protected inherited

Description of the stellar surface: 2-D `Itbl` containing the values of the domain index l on the surface at the collocation points in .

Definition at line 260 of file star.h.

## p_mass_b

double* Lorene::Star::p_mass_b

mutable protected inherited

Baryon mass.

Definition at line 268 of file star.h.

## p_mass_g

double* Lorene::Star::p_mass_g

mutable protected inherited

Gravitational mass.

Definition at line 269 of file star.h.

## p_ray_eq

double* Lorene::Star::p_ray_eq

mutable protected inherited

Coordinate radius at , .

Definition at line 242 of file star.h.

## p_ray_eq_3pis2

double* Lorene::Star::p_ray_eq_3pis2

mutable protected inherited

Coordinate radius at , .

Definition at line 251 of file star.h.

## p_ray_eq_pi

double* Lorene::Star::p_ray_eq_pi

mutable protected inherited

Coordinate radius at , .

Definition at line 248 of file star.h.

## p_ray_eq_pis2

double* Lorene::Star::p_ray_eq_pis2

mutable protected inherited

Coordinate radius at , .

Definition at line 245 of file star.h.

## p_ray_pole

double* Lorene::Star::p_ray_pole

mutable protected inherited

Coordinate radius at .

Definition at line 254 of file star.h.

## p_xa_barycenter

double* Lorene::Star_bin_xcts::p_xa_barycenter

mutable protected

Absolute coordinate X of the barycenter of the baryon density.

Definition at line 1240 of file star.h.

## p_xi_surf

Tbl* Lorene::Star::p_xi_surf

mutable protected inherited

Description of the stellar surface: 2-D `Tbl` containing the values of the radial coordinate on the surface at the collocation points in .

Definition at line 266 of file star.h.

## pot_centri

Scalar Lorene::Star_bin_xcts::pot_centri

protected

Centrifugal potential.

Definition at line 1129 of file star.h.

## press

Scalar Lorene::Star::press

protected inherited

Fluid pressure.

Definition at line 194 of file star.h.

## Psi

Scalar Lorene::Star_bin_xcts::Psi

protected

Total conformal factor .

Definition at line 1152 of file star.h.

## psi0

Scalar Lorene::Star_bin_xcts::psi0

protected

Scalar potential of the non-translational part of fluid 4-velocity (in the irrotational case).

Definition at line 1104 of file star.h.

## psi4

Scalar Lorene::Star_bin_xcts::psi4

protected

Conformal factor .

Definition at line 1158 of file star.h.

## Psi_auto

Scalar Lorene::Star_bin_xcts::Psi_auto

protected

Scalar field generated principally by the star.

Definition at line 1144 of file star.h.

## Psi_comp

Scalar Lorene::Star_bin_xcts::Psi_comp

protected

Scalar field generated principally by the companion star.

Definition at line 1149 of file star.h.

## s_euler

Scalar Lorene::Star::s_euler

protected inherited

Trace of the stress scalar in the Eulerian frame.

Definition at line 201 of file star.h.

## ssjm1_chi

Scalar Lorene::Star_bin_xcts::ssjm1_chi

protected

Effective source at the previous step for the resolution of the Poisson equation for `\chi_auto` .

Definition at line 1216 of file star.h.

## ssjm1_khi

Scalar Lorene::Star_bin_xcts::ssjm1_khi

protected

Effective source at the previous step for the resolution of the Poisson equation for `khi`.

(second scalar equation for the resolution of the vectorial poisson equation for the shift)

Definition at line 1227 of file star.h.

## ssjm1_psi

Scalar Lorene::Star_bin_xcts::ssjm1_psi

protected

Effective source at the previous step for the resolution of the Poisson equation for `\Psi_auto` .

Definition at line 1221 of file star.h.

## ssjm1_wbeta

Vector Lorene::Star_bin_xcts::ssjm1_wbeta

protected

Effective source at the previous step for wbeta of the vector Poisson equation for `wbeta` (needed for the solution of the vector Poisson equation for the shift ).

Definition at line 1234 of file star.h.

## stress_euler

Sym_tensor Lorene::Star::stress_euler

protected inherited

Spatial part of the stress-energy tensor with respect to the Eulerian observer.

Definition at line 212 of file star.h.

## u_euler

Vector Lorene::Star::u_euler

protected inherited

Fluid 3-velocity with respect to the Eulerian observer.

Definition at line 207 of file star.h.

## w_beta

Vector Lorene::Star_bin_xcts::w_beta

protected

Solution for the vector part of the vector Poisson equation for .

Definition at line 1163 of file star.h.

## wit_w

Vector Lorene::Star_bin_xcts::wit_w

protected

Spatial projection of the fluid 3-velocity with respect to
the co-orbiting observer.

(Spherical components with respect to the mapping of the star)

Definition at line 1115 of file star.h.

The documentation for this class was generated from the following files:

- star.h
- star_bin_equilibrium_xcts.C
- star_bin_extr_curv_xcts.C
- star_bin_global_xcts.C
- star_bin_hydro_xcts.C
- star_bin_kinema_xcts.C
- star_bin_upmetr_der_xcts.C
- star_bin_upmetr_xcts.C
- star_bin_vel_pot_xcts.C
- star_bin_xcts.C